org.eclipse.microprofile.fault.tolerance.tck.retry.exception.hierarchy

## Class RetryService

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.retry.exception.hierarchy.RetryService

    @RequestScoped
    public class RetryService
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`RetryService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RetryStatus` `getStatus()`
`void` `serviceA(Throwable exception)`
`void` `serviceB(Throwable exception)`
`void` `serviceC(Throwable exception)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetryService

    public RetryService()

### Method Detail

#### serviceA

    @Retry(retryOn={E0.class,E2.class},
           abortOn=E1.class,
           maxRetries=1)
    public void serviceA(Throwable exception)
                                                                                                    throws Throwable

Throws:
  `Throwable`

#### serviceB

    @Retry(retryOn={java.lang.Exception.class,E1.class},
           abortOn={E0.class,E2.class},
           maxRetries=1)
    public void serviceB(Throwable exception)
                                                                                                                                throws Throwable

Throws:
  `Throwable`

#### serviceC

    @Retry(retryOn={E1.class,E2.class},
           abortOn=E0.class,
           maxRetries=1)
    public void serviceC(Throwable exception)
                                                                                                    throws Throwable

Throws:
  `Throwable`

#### getStatus

    public RetryStatus getStatus()